.servicios-container {
    display: grid;
    grid-template-columns: repeat(2, minmax(280px, 600px));
    gap: 20px;
    padding: 20px;
    justify-content: center;
}

.servicios-container .servicio {
    background-color: #f9f9f9;
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 20px;
    text-align: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    cursor: pointer;
}

.servicios-container .servicio:hover {
    transform: translateY(-5px);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
}

.servicios-container .servicio h2 {
    margin-top: 10px;
    font-size: 1.5em;
    color: #181818;
    text-transform: uppercase;
}

.servicios-container .servicio p {
    margin-top: 10px;
    font-size: 1em;
    color: #181818;
}

.servicios-container .servicio img {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 8px;
}

.servicios-container .servicio a {
    text-decoration: none;
}

.servicios-title {
    font-size: 2em;
    color: #181818;
    margin-bottom: 10px;
    text-align: center;
}

@media (max-width: 1450px) {
    .servicios-container {
        display: flex;
        flex-direction: column;
        width: 90%;
        max-width: 600px;
        margin: 10px auto 20px auto;
    }

    .servicio img {
        width: 100%;
        height: auto;
    }
}

@media (max-width: 480px) {
    .servicios-container {
        width: 95%;
        padding: 10px;
    }

    .servicios-container .servicio {
        padding: 12px;
    }
}